"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rules_1 = require("../../src/rules");
const testUtil_1 = require("../testUtil");
test('valid case', () => {
    const sql = `
    SELECT
      *
    FROM
      foo
    WHERE
      foo.a > 1
  `;
    const result = rules_1.execute(sql, { rules: { 'linebreak-after-clause-keyword': { level: 2 } } });
    expect(result).toEqual([]);
});
test('require linebreak after SELECT, FROM, WHERE keyword', () => {
    const sql = 'SELECT  foo.a, foo.b FROM   foo WHERE  foo.a > 1';
    const result = rules_1.execute(sql, { rules: { 'linebreak-after-clause-keyword': { level: 2 } } });
    expect(result.length).toEqual(3);
    const fixed = testUtil_1.applyFixes(sql, result.map(v => v.fix).flat());
    expect(fixed).toContain(`
SELECT
  foo.a, foo.b
FROM
  foo
WHERE
  foo.a > 1
`.trim());
});
//# sourceMappingURL=linebreakAfterClauseKeyword.test.js.map